Subject: phylink and an unusual PHY/SFP setup

From: "Michael Walle" <[email-masked]>
Date: Wed, 27 May 2026 10:19:18 +0200

Hi,

I have a board with a rather unusual network link setup:

 MAC/PCS (fman) <-SerDes-> PHY (M88E1112) <-SerDes-> SFP

or even

 MAC/PCS (fman) <-SerDes-> PHY (M88E1112) <-SerDes-> Copper SFP with PHY

Does phylink support such a configuration? I suspect adding
support for such a configuration isn't straight forward.

FWIW, the M88E1112 PHY driver seems to be completely broken in
upstream. It looks like it was assumed, that it's like the M88E1111.
But that one only has 1 SerDes and one parallel interface. The 1112
has two SerDes interfaces and thus a completely different register
map. I'm not sure it ever worked, except maybe by accident for the
SGMII-to-Copper case.

-michael